#!/bin/bash
#
# Create Client Certificates
# 
# 
# This function will generate a Client cert
# IN: UNIQ_ID_CA, SERIAL
#

# source this file to include the functions
. cfg/pki_funcs.sh

PARAM1=$1
PARAM2=$2
PARAM3=$3


usage() {
  echo
  echo "Generate a new Client certificate"
  echo
  echo
  echo "Generate a new certificate"
  echo "  usage:   gen_client.sh  <CA Intermediate> <Org URL> <Serial>"
  echo
  echo "  example: gen_client.sh  skunkworks.acme.xyz \\"
  echo "                          10052 \\"
  echo
  exit 1
}

error_no_ca_file() {
  echo_block "ERROR: missing ca-i.pem"
  usage
}


main() {
  if [[ ! -f ca-i.pem ]]; then
    error_no_ca_file
  fi
  if [[ ! -f SERIAL ]]; then
    error_no_serial
  fi

  if [[ -n $PARAM1 ]] || [[ -n $PARAM2 ]]; then
    gen_client $PARAM1 $PARAM2
  else
    usage
  fi
}

main
